## ncbi-blast+ 2.10.1+ds

=== c++/src/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 608162 2020-05-12 16:01:31Z blastadm $
#############################################################################

cmake_minimum_required(VERSION 3.3)
include(build-system/cmake/CMakeLists.top_builddir.txt)

=== c++/src/app/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 594373 2019-10-03 13:30:50Z gouriano $
#############################################################################

# Include projects from this directory

NCBI_add_subdirectory(
  agp_validate
  agpconvert
  annotwriter
  asn2asn
  asn2fasta
  asn2flat
  asn_cache
  asn_cleanup
  asnval
  bdb_env_keeper
  biosample_chk
  blast
  blastdb
  bsdiff
  compart
  convert_seq
  discrepancy_report
  dustmasker
  formatguess
  gap_stats
  gi2taxid
  grid
  hfilter
  id1_fetch
  id2_fetch
  idfetch
  idmapper
  igblast
  lds2_indexer
  multireader
  multipattern
  ncbi_encrypt
  netschedule
  netstorage
  nmer_repeats
  nw_aligner
  objextract
  objmgr
  prt2fsm
  read_blast_result
  segmasker
  speedtest
  splign
  srcchk
  ssub_fork
  streamtest
  table2asn
  tableval
  vecscreen
  winmasker
)

if (NCBI_EXPERIMENTAL_CFG)
NCBI_add_subdirectory(
  dblb
  feat_import
  gff_deconcat
  magicblast
  netcache
  pub_report
  rmblastn
#  split_cache
  sub_fuse
  tls
  wgs_parse
  wig2table
  pubseq_gateway
)
endif()

=== c++/src/objtools/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593577 2019-09-20 12:22:42Z gouriano $
#############################################################################

NCBI_add_subdirectory(
  unit_test_util readers blast lds2 data_loaders simple
  alnmgr cddalignview test manip cleanup format edit validator
  asniotest align seqmasks_io eutils
  align_format snputil uudutil variation writers pubseq_gateway
  logging import
)

=== c++/src/algo/blast/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 601536 2020-02-10 15:02:01Z boratyng $
#############################################################################

set(SRC_BLAST_C_CORE
    ../core/aa_ungapped
    ../core/blast_aalookup
    ../core/blast_aascan
    ../core/blast_diagnostics
    ../core/blast_dynarray
    ../core/blast_encoding
    ../core/blast_engine
    ../core/blast_extend
    ../core/blast_filter
    ../core/blast_gapalign
    ../core/blast_hits
    ../core/blast_hspstream
    ../core/blast_hspstream_mt_utils
    ../core/blast_itree
    ../core/blast_kappa
    ../core/blast_lookup
    ../core/blast_message
    ../core/blast_nalookup
    ../core/blast_nascan
    ../core/blast_options
    ../core/blast_parameters
    ../core/blast_posit
    ../core/blast_program
    ../core/blast_psi
    ../core/blast_psi_priv
    ../core/blast_query_info
    ../core/blast_seg
    ../core/blast_seqsrc
    ../core/blast_setup
    ../core/blast_stat
    ../core/blast_sw
    ../core/blast_traceback
    ../core/blast_traceback_mt_priv
    ../core/blast_tune
    ../core/blast_util
    ../core/boost_erf
    ../core/gapinfo
    ../core/gencode_singleton
    ../core/greedy_align
    ../core/hspfilter_besthit
    ../core/hspfilter_collector
    ../core/hspfilter_culling
    ../core/hspfilter_mapper
    ../core/index_ungapped
    ../core/jumper
    ../core/link_hsps
    ../core/lookup_util
    ../core/lookup_wrap
    ../core/matrix_freq_ratios
    ../core/na_ungapped
    ../core/ncbi_math
    ../core/ncbi_std
    ../core/pattern
    ../core/phi_extend
    ../core/phi_gapalign
    ../core/phi_lookup
    ../core/split_query
    ../core/spliced_hits
)


NCBI_project_watchers(camacho madden)
NCBI_add_subdirectory(
  composition_adjustment core dbindex dbindex_search api proteinkmer
  format blastinput blast_sra_input igblast gumbel_params unit_tests
)

=== c++/src/objects/mmdb/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_library(mmdb)

=== c++/src/objects/proj/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_library(proj)

=== c++/src/objects/seqsplit/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_library(seqsplit)

=== c++/src/objects/seqtest/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_library(seqtest)

=== c++/src/util/regexp/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593481 2019-09-19 14:00:01Z gouriano $
#############################################################################
# 
#

# Include projects from this directory
NCBI_disable_pch()
NCBI_add_library(regexp)
NCBI_add_app(test_pcre)

=== c++/src/algo/blast/api/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593585 2019-09-20 13:57:47Z gouriano $
#############################################################################

NCBI_add_library(xblast)

=== c++/src/objects/variation_libs/dbsnp/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_subdirectory(search_by_rsid tooltip_service)

=== c++/src/objtools/data_loaders/blastdb/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593577 2019-09-20 12:22:42Z gouriano $
#############################################################################

NCBI_add_library(ncbi_xloader_blastdb ncbi_xloader_blastdb_rmt)
NCBI_add_subdirectory(unit_test)

=== debian/changelog ===
ncbi-blast+ (2.10.1+ds-1) unstable; urgency=medium

  * Repack without c++/src/build-system/project_tree_builder_gui/bin.
    Debian builds make no use of this (Java) GUI or supporting third-party
    jars, and could do without prebuilt binaries even if they did use it.
  * debian/copyright:
    - Set Files-Excluded accordingly.
    - Correct typos for c++/src/html/ncbi_menu*.js; in particular, replace
      duplicate .../ncbi_menu_dnd.js by .../ncbi_menu_dyn.js.
  * debian/watch: Set dversionmangle and repacksuffix options accordingly.
  * debian/source/lintian-overrides: For ncbi_menu*.js, which are editable
    despite long lines, override source-contains-prebuilt-javascript-object
    in addition to source-is-missing.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Oct 2020 17:23:46 -0400

ncbi-blast+ (2.10.1-3) unstable; urgency=medium

  * debian/patches/tune_lmdb_defaults: Scale down slightly more on 32-bit
    mips* (just mipsel in practice these days).  The sizes at this point
    are 640 MiB there, 750 MB on other 32-bit platforms, and 20 GB on
    64-bit platforms.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Oct 2020 21:37:04 -0400

=== debian/control ===
Source: ncbi-blast+
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Arch: 2to3,
               libboost-test-dev,
               libbz2-dev,
               libc-dev-bin,
               libgnutls28-dev,
	       liblmdb-dev,
               libmbedtls-dev,
               libpcre3-dev,
               time,
               zlib1g-dev,
               procps
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
Rules-Requires-Root: no

Package: ncbi-blast+
Architecture: any
Multi-Arch: foreign
Depends: ncbi-data,
         python3,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Enhances: t-coffee
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that
 compare protein queries to protein databases, nucleotide queries
 to nucleotide databases, as well as versions that translate nucleotide
 queries or databases in all six frames and compare to protein databases
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Multi-Arch: foreign
Depends: ncbi-blast+,
         ${misc:Depends}
Breaks: blast2 (<< 1:2.5.0~)
Replaces: blast2 (<< 1:2.5.0~)
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.

## ncbi-blast+ 2.11.0+ds

=== c++/src/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 617723 2020-10-06 07:10:56Z blastadm $
#############################################################################

cmake_minimum_required(VERSION 3.7)
if ("${PROJECT_NAME}" STREQUAL "")
    project(ncbi_cpp)
endif()
include(${CMAKE_CURRENT_LIST_DIR}/build-system/cmake/CMakeLists.top_builddir.txt)

=== c++/src/algo/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593585 2019-09-20 13:57:47Z gouriano $
#############################################################################

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)

=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 594373 2019-10-03 13:30:50Z gouriano $
+# $Id: CMakeLists.txt 612980 2020-07-30 19:13:50Z ivanov $
 #############################################################################
 
 # Include projects from this directory
@@ -23,6 +23,7 @@
   convert_seq
   discrepancy_report
   dustmasker
+  flat2asn
   formatguess
   gap_stats
   gi2taxid

=== c++/src/cgi/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 594086 2019-09-30 12:19:30Z gouriano $
#############################################################################

NCBI_project_tags(web)
NCBI_add_library(cgi fcgi)
NCBI_add_subdirectory(test)
#NCBI_add_subdirectory(demo)

=== c++/src/connect/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 599751 2020-01-07 13:05:25Z ivanov $
#############################################################################

#
# The connect library uses a split between a shared C toolkit library and an
# independent C++ toolkit library
# These variables capture the split

if (UNIX)
    set(os_src ${LOCAL_LBSM})
elseif (WIN32)
    set(os_src ncbi_lbsmd_stub ncbi_strerror)
endif()


set(SRC_TLS
    ncbi_gnutls ncbi_mbedtls ncbi_tls
    mbedtls/aes mbedtls/aesni mbedtls/arc4 mbedtls/asn1parse
    mbedtls/asn1write mbedtls/base64 mbedtls/bignum mbedtls/blowfish
    mbedtls/camellia mbedtls/ccm mbedtls/cipher mbedtls/cipher_wrap
    mbedtls/cmac mbedtls/ctr_drbg mbedtls/des mbedtls/dhm mbedtls/ecdh
    mbedtls/ecdsa mbedtls/ecjpake mbedtls/ecp mbedtls/ecp_curves
    mbedtls/entropy mbedtls/entropy_poll mbedtls/error mbedtls/gcm
    mbedtls/havege mbedtls/hmac_drbg mbedtls/md mbedtls/md2
    mbedtls/md4 mbedtls/mbedtls_md5 mbedtls/md_wrap
    mbedtls/memory_buffer_alloc mbedtls/oid mbedtls/padlock
    mbedtls/pem mbedtls/pk mbedtls/pk_wrap mbedtls/pkcs12
    mbedtls/pkcs5 mbedtls/pkparse mbedtls/pkwrite mbedtls/platform
    mbedtls/ripemd160 mbedtls/rsa mbedtls/rsa_internal mbedtls/sha1
    mbedtls/sha256 mbedtls/sha512 mbedtls/threading mbedtls/timing
    mbedtls/mbedtls_version mbedtls/version_features mbedtls/xtea
    mbedtls/certs mbedtls/pkcs11 mbedtls/x509 mbedtls/x509_create
    mbedtls/x509_crl mbedtls/x509_crt mbedtls/x509_csr
    mbedtls/x509write_crt mbedtls/x509write_csr
    mbedtls/debug mbedtls/net_sockets mbedtls/ssl_cache
    mbedtls/ssl_ciphersuites mbedtls/ssl_cli mbedtls/ssl_cookie
    mbedtls/ssl_srv mbedtls/ssl_ticket mbedtls/ssl_tls
    )

set(SRC_C
    ncbi_ansi_ext ncbi_types ncbi_core ncbi_priv ncbi_util
    ncbi_buffer ncbi_socket ncbi_connector ncbi_connection
    ncbi_connutil ncbi_ipv6 ncbi_server_info ncbi_host_info
    ncbi_service ncbi_sendmail ncbi_base64 ncbi_heapmgr ncbi_lb
    ncbi_socket_connector ncbi_file_connector ncbi_http_connector
    ncbi_memory_connector ncbi_service_connector ncbi_ftp_connector
    ncbi_version ncbi_iprange ncbi_local ncbi_dispd
    ncbi_lbos ncbi_linkerd ncbi_namerd parson
    ncbi_localip
    ${os_src}
    )

set(SRC_CXX
    ncbi_socket_cxx ncbi_core_cxx email_diag_handler
    ncbi_conn_streambuf ncbi_conn_stream ncbi_conn_test
    ncbi_misc ncbi_namedpipe ncbi_namedpipe_connector
    ncbi_pipe ncbi_pipe_connector ncbi_conn_reader_writer
    ncbi_userhost ncbi_http_session ncbi_lbos_cxx ncbi_monkey
    ncbi_service_cxx ncbi_localip_cxx ncbi_blowfish ncbi_usage_report
    ${SRC_TLS}
    )


NCBI_disable_pch()
NCBI_add_library(connect connssl xxconnect xconnect xthrserv)
NCBI_add_subdirectory(services ext test daemons)

=== c++/src/db/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593512 2019-09-19 16:43:33Z gouriano $
#############################################################################

NCBI_add_subdirectory(bdb sqlite)

=== c++/src/dbapi/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593523 2019-09-19 18:41:09Z gouriano $
#############################################################################
# 
#
if (APPLE AND NOT XCODE)
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv -undefined dynamic_lookup")
endif ()

NCBI_add_library(dbapi)
NCBI_add_subdirectory(driver simple cache lang_bind test)

=== c++/src/html/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593496 2019-09-19 15:43:28Z gouriano $
#############################################################################

NCBI_project_tags(web)
NCBI_add_library(html)
NCBI_add_subdirectory(test demo)

=== c++/src/misc/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 597226 2019-11-19 02:19:39Z ucko $
#############################################################################


NCBI_add_subdirectory(
  third_party third_party_static
  clog grid_cgi xmlwrapp eutils_client hydra_client discrepancy
  xmlreaders hgvs netstorage jsonwrapp biosample_util data_loaders_util
  lapackwrapp cgi_redirect pmcidconv_client fix_pub
)

=== c++/src/objects/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 597164 2019-11-18 18:14:20Z vasilche $
#############################################################################

# Include projects from this directory

NCBI_add_subdirectory(
  access
  biblio
  biotree
  blast
  blastdb
  blastxml
  blastxml2
  cdd
  cn3d
  coords
  dbsnp
  docsum
  entrez2
  entrezgene
  featdef
  gbproj
  gbseq
  general
  genesbyloc
  genomecoll
  homologene
  id1
  id2
  insdseq
  macro
  medlars
  medline
  mim
  mla
  mmdb
  ncbimime
  objprt
  omssa
  pcassay
  pcsubstance
  proj
  pub
  pubmed
  remap
  scoremat
  seq
  seqcode
  seqedit
  seqset
  seqsplit
  seqtest
  submit
  taxon1
  taxon3
  tinyseq
  trackmgr
  valerr
  valid
  variation
  variation_libs
  varrep
)

=== c++/src/objmgr/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593493 2019-09-19 15:37:14Z gouriano $
#############################################################################


NCBI_add_library(objmgr)
NCBI_add_subdirectory(test util split)

=== c++/src/objtools/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 612973 2020-07-30 19:13:00Z ivanov $
#############################################################################

NCBI_add_subdirectory(
  unit_test_util readers blast lds2 data_loaders simple
  alnmgr cddalignview test manip cleanup format edit validator
  asniotest align seqmasks_io eutils
  align_format snputil uudutil variation writers pubseq_gateway
  logging import flatfile
)

=== debian/changelog ===
ncbi-blast+ (2.11.0+ds-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - fixed indenting.

  [ Aaron M. Ucko ]
  * New upstream release.
  * debian/patches: Update accordingly.
    - bm-6.4.0: Retire (fully incorporated upstream).
    - fix_lib_deps: Formally refresh to eliminate fuzz.
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - tune_lmdb_defaults: Port to new setup, conveniently macro-driven.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 31 Jan 2021 21:23:21 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	   Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: 2to3,
                libboost-test-dev,
                libbz2-dev,
@@ -17,7 +17,7 @@
                time,
                zlib1g-dev,
                procps
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
 Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/

=== debian/watch ===
version=3
opts=filenamemangle=s/\+-src/-orig/,filenamemangle=s/blast/blast+/,dversionmangle=s/\+ds//,repacksuffix=+ds \
     https://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-(.*)\+-src\.tar\.gz debian uupdate

## ncbi-blast+ 2.12.0+ds

=== c++/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 617723 2020-10-06 07:10:56Z blastadm $
+# $Id: CMakeLists.txt 632666 2021-06-04 07:10:51Z blastadm $
 #############################################################################
 
 cmake_minimum_required(VERSION 3.7)

=== c++/src/algo/CMakeLists.txt ===
# $Id: CMakeLists.txt 621932 2020-12-17 17:40:31Z ivanov $

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)

=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-#############################################################################
-# $Id: CMakeLists.txt 612980 2020-07-30 19:13:50Z ivanov $
-#############################################################################
-
-# Include projects from this directory
+# $Id: CMakeLists.txt 623113 2021-01-08 14:09:17Z ivanov $
 
 NCBI_add_subdirectory(
   agp_validate
@@ -58,7 +54,6 @@
   winmasker
 )
 
-if (NCBI_EXPERIMENTAL_CFG)
 NCBI_add_subdirectory(
   dblb
   feat_import
@@ -70,9 +65,7 @@
 #  split_cache
   sub_fuse
   tls
-  wgs_parse
   wig2table
   pubseq_gateway
 )
-endif()

=== c++/src/cgi/CMakeLists.txt ===
# $Id: CMakeLists.txt 621584 2020-12-14 19:14:26Z ivanov $

NCBI_project_tags(web)
NCBI_add_library(cgi fcgi)
NCBI_add_subdirectory(test)
#NCBI_add_subdirectory(demo)

=== c++/src/connect/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
-#############################################################################
-# $Id: CMakeLists.txt 599751 2020-01-07 13:05:25Z ivanov $
-#############################################################################
+# $Id: CMakeLists.txt 621583 2020-12-14 19:14:21Z ivanov $
 
-#
 # The connect library uses a split between a shared C toolkit library and an
 # independent C++ toolkit library
 # These variables capture the split
 
-if (UNIX)
-    set(os_src ${LOCAL_LBSM})
-elseif (WIN32)
-    set(os_src ncbi_lbsmd_stub ncbi_strerror)
+if (WIN32)
+    set(lbsm_src ncbi_lbsmd_stub ncbi_strerror)
+else()
+    if(EXISTS ${NCBI_CURRENT_SOURCE_DIR}/ncbi_lbsm.c)
+        set(lbsm_src ncbi_lbsm.c ncbi_lbsm_ipc.c ncbi_lbsmd.c)
+    else(WIN32)
+        set(lbsm_src ncbi_lbsmd_stub)
+    endif()
 endif()
-
 
 set(SRC_TLS
     ncbi_gnutls ncbi_mbedtls ncbi_tls
@@ -48,7 +48,7 @@
     ncbi_version ncbi_iprange ncbi_local ncbi_dispd
     ncbi_lbos ncbi_linkerd ncbi_namerd parson
     ncbi_localip
-    ${os_src}
+    ${lbsm_src}
     )
 
 set(SRC_CXX
@@ -58,11 +58,11 @@
     ncbi_pipe ncbi_pipe_connector ncbi_conn_reader_writer
     ncbi_userhost ncbi_http_session ncbi_lbos_cxx ncbi_monkey
     ncbi_service_cxx ncbi_localip_cxx ncbi_blowfish ncbi_usage_report
+    connect_misc
     ${SRC_TLS}
     )
 
-
 NCBI_disable_pch()
-NCBI_add_library(connect connssl xxconnect xconnect xthrserv)
+NCBI_add_library(connect connssl xxconnect xxconnect2 xconnect xthrserv)
 NCBI_add_subdirectory(services ext test daemons)

=== c++/src/corelib/CMakeLists.txt ===
# $Id: CMakeLists.txt 621583 2020-12-14 19:14:21Z ivanov $

NCBI_project_tags(core)
NCBI_add_library(corelib test_mt test_boost)
NCBI_add_subdirectory(test)

=== c++/src/db/CMakeLists.txt ===
# $Id: CMakeLists.txt 621923 2020-12-17 17:38:38Z ivanov $

NCBI_add_subdirectory(bdb sqlite)

=== c++/src/dbapi/CMakeLists.txt ===
# $Id: CMakeLists.txt 621927 2020-12-17 17:39:26Z ivanov $

if (APPLE AND NOT XCODE)
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv -undefined dynamic_lookup")
endif ()

NCBI_add_library(dbapi)
NCBI_add_subdirectory(driver simple lang_bind test)

=== c++/src/html/CMakeLists.txt ===
# $Id: CMakeLists.txt 621926 2020-12-17 17:38:58Z ivanov $

NCBI_project_tags(web)
NCBI_add_library(html)
NCBI_add_subdirectory(test demo)

=== c++/src/misc/CMakeLists.txt ===
# $Id: CMakeLists.txt 621674 2020-12-15 14:42:44Z ivanov $

NCBI_add_subdirectory(
  clog 
  grid_cgi 
  xmlwrapp 
  eutils_client 
  hydra_client 
  discrepancy
  xmlreaders 
  hgvs 
  netstorage 
  jsonwrapp 
  biosample_util 
  data_loaders_util
  lapackwrapp 
  cgi_redirect 
  pmcidconv_client 
  fix_pub
  third_party 
  third_party_static
)

=== c++/src/objects/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-#############################################################################
-# $Id: CMakeLists.txt 597164 2019-11-18 18:14:20Z vasilche $
-#############################################################################
-
-# Include projects from this directory
+# $Id: CMakeLists.txt 621928 2020-12-17 17:39:42Z ivanov $
 
 NCBI_add_subdirectory(
   access

=== c++/src/objmgr/CMakeLists.txt ===
# $Id: CMakeLists.txt 621931 2020-12-17 17:40:15Z ivanov $

NCBI_add_library(objmgr)
NCBI_add_subdirectory(test util split)

=== debian/changelog ===
ncbi-blast+ (2.12.0+ds-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:27 +1100

ncbi-blast+ (2.12.0+ds-4build1) noble; urgency=medium

  * No-change rebuild against libmbedcrypto7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:09:58 +0000

ncbi-blast+ (2.12.0+ds-4) unstable; urgency=medium

  * debian/control: Drop build dependency on libpcre3-dev; PCRE2 support
    isn't ready yet, but there's a convenience copy of classic PCRE that
    will suffice for now.  (Partly addresses #891197.)
  * debian/source/lintian-overrides: Accommodate bracketed paths.
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Refer to common license file for Apache-2.0.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Sep 2023 22:40:42 -0400

ncbi-blast+ (2.12.0+ds-3) unstable; urgency=medium

  * d/patches/optin_usage_report change usage reports sending over
    internet strategy to optin (disabled by default unless specified)
    (Closes # 1005279).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Feb 2022 12:17:56 +0000

ncbi-blast+ (2.12.0+ds-2) unstable; urgency=medium

  * Clean up spurious release-status comment from 2.12.0+ds-1.
  * debian/patches/system_mbedtls_only: Patch out use of local mbed TLS
    headers, which formally rename all symbols.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 23:36:32 -0500

ncbi-blast+ (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Update accordingly.
    - fix_lib_deps, fix_unit_tests, spelling: Formally refresh to eliminate
      fuzz.
    - fix_x86isms: Retire (fully incorporated upstream.)
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - support_x32: Forward-port.
    - tune_lmdb_defaults: Keep just the MIPS tuneup; upstream's settings
      should now be fine elsewhere.
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * debian/patches/suppress_tls_version_checks (formerly
    suppress_gnutls_version_check): Suppress the mbed TLS version check too.
    (Closes: #1000358.)
  * debian/watch: Correct filenamemangle (wrong syntax for multiple rules,
    and leading components left unstripped).
  * debian/source/lintian-overrides: Simplify c++/src/html/ncbi_menu*.js
    overrides per current Lintian.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 22:27:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: ncbi-blast+
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
-	   Aaron M. Ucko <ucko@debian.org>
+           Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: 2to3,
-               libboost-test-dev,
-               libbz2-dev,
-               libc-dev-bin,
-               libgnutls28-dev,
-	       liblmdb-dev,
-               libmbedtls-dev,
-               libpcre3-dev,
-               time,
-               zlib1g-dev,
-               procps
-Standards-Version: 4.5.1
+                    libboost-test-dev,
+                    libbz2-dev,
+                    libc-dev-bin,
+                    libgnutls28-dev,
+                    liblmdb-dev,
+                    libmbedtls-dev,
+                    time,
+                    zlib1g-dev,
+                    procps
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
 Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
@@ -51,8 +51,6 @@
 Multi-Arch: foreign
 Depends: ncbi-blast+,
          ${misc:Depends}
-Breaks: blast2 (<< 1:2.5.0~)
-Replaces: blast2 (<< 1:2.5.0~)
 Description: NCBI Blast legacy call script
  This package adds some fake scripts to call NCBI+ programs
  with the NCBI blast command line. It makes use of the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME=$(CURDIR)/fakehome

NUMJOBS=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_CONFIGURE_COMMON_FLAGS=--without-autodep --without-makefile-auto-update \
    --with-flat-makefile --without-caution --without-dbapi --without-lzo \
    --without-debug --without-downloaded-vdb --without-sse42
DEB_CONFIGURE_EXTRA_FLAGS=$(DEB_CONFIGURE_COMMON_FLAGS) --with-dll --with-mt \
    --with-runpath=/usr/lib/ncbi-blast+ --with-build-root=BUILD --with-mbedtls

proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/

#ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
#endif

#export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-Wall -pedantic

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
CXXFLAGS := $(CXXFLAGS:-O%=-O)
DEB_CONFIGURE_EXTRA_FLAGS += FAST_CXXFLAGS=-O
endif

export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE

# used for run_with_lock
DEB_CONFIGURE_COMMON_FLAGS +=  CFLAGS_FOR_BUILD="$(CFLAGS) -fPIE"
DEB_CONFIGURE_COMMON_FLAGS += LDFLAGS_FOR_BUILD="$(LDFLAGS)"

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
NATIVE=.native
DEB_CONFIGURE_EXTRA_FLAGS += --build=$(DEB_BUILD_GNU_TYPE) \
    --host=$(DEB_HOST_GNU_TYPE)
NATIVE_BINDIR=$(CURDIR)/c++/BUILD$(NATIVE)/bin
PREBUILT_DATATOOL_EXE=$(NATIVE_BINDIR)/datatool
PREBUILT_PTB_EXE=$(NATIVE_BINDIR)/project_tree_builder
export PREBUILT_DATATOOL_EXE PREBUILT_PTB_EXE

$(PREBUILT_DATATOOL_EXE):
	cd c++  &&  PREBUILT_PTB_EXE=bootstrap \
            ./configure $(DEB_CONFIGURE_COMMON_FLAGS) --without-objects \
            --without-algo --without-app --with-build-root=BUILD.native  ||  \
            (tail -v -n +0 config.log BUILD.native/status/config.log; exit 1)
	make -j$(NUMJOBS) -C c++/BUILD$(NATIVE)/build -f Makefile.flat \
	    datatool.exe
endif

override_dh_auto_configure-indep:;
override_dh_auto_configure-arch: $(PREBUILT_DATATOOL_EXE)
	mkdir -p $(HOME)
	cd c++  &&  CONFIG_SHELL=/bin/bash \
            ./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
	    ||  (tail -v -n +0 config.log BUILD/status/config.log; exit 1)

override_dh_auto_build-arch:
	cd c++/BUILD/build  && \
	    make -j$(NUMJOBS) -f Makefile.flat all_projects="$(proj)"
#	   make all_r

override_dh_auto_build-indep:
	echo "Save time and do nothing for architecture independent builds"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-dh_auto_test
	-c++/BUILD/build/check.sh concat_err
	-cat c++/BUILD/build/check.sh.out_err
endif

instroot = debian/ncbi-blast+/usr
leg_bin = debian/ncbi-blast+-legacy/usr/bin
override_dh_auto_install-arch:
	# cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
	cp c++/BUILD/bin/*    $(instroot)/bin/

override_dh_auto_install-indep:
	echo "Nothing to do for architecture independant installs"

override_dh_install-arch:
	# dh_install
	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
	mv $(instroot)/bin/get_species_taxids.sh \
	    $(instroot)/bin/get_species_taxids
	mv $(instroot)/bin/cleanup-blastdb-volumes.py \
	    $(instroot)/bin/cleanup-blastdb-volumes
	mv $(instroot)/bin/legacy_blast.pl   $(instroot)/bin/legacy_blast
	mv $(instroot)/bin/update_blastdb.pl $(instroot)/bin/update_blastdb
	sed -e '1s/$$/3/' $(instroot)/bin/windowmasker_2.2.22_adapter.py \
	   > $(instroot)/bin/windowmasker_2.2.22_adapter
	2to3 -w --nobackups $(instroot)/bin/windowmasker_2.2.22_adapter
	chmod +x $(instroot)/bin/windowmasker_2.2.22_adapter
	rm $(instroot)/bin/windowmasker_2.2.22_adapter.py*
# Clean up tests, demos, and internal build tools
	rm -f $(instroot)/bin/*test* $(instroot)/bin/seqdb_demo \
	    $(instroot)/bin/datatool $(instroot)/bin/run_with_lock \
	    $(instroot)/bin/project_tree_builder
	mkdir c++/BUILD/lib.observed
	d=$(instroot)/bin; \
	while :; do \
	    (for x in $$d/*; do \
	        readelf -d $$x 2>/dev/null \
	        | sed -ne 's/.*NEEDED.* \[\(.*\)]$$/\1/p'; \
            done; rm -f c++/BUILD/lib.observed/*) | sort -u | while read l; do \
	        [ -f $(instroot)/lib/ncbi-blast+/$$l \
	          -o \! -f c++/BUILD/lib/$$l ]  || \
	            cp -av c++/BUILD/lib/$$l c++/BUILD/lib.observed/; \
	    done; \
	    [ -n "$$(ls c++/BUILD/lib.observed)" ] || break; \
	    echo ------------------------------------------------------------; \
	    cp -a c++/BUILD/lib.observed/* $(instroot)/lib/ncbi-blast+; \
	    d=c++/BUILD/lib.observed; \
	done

override_dh_install-indep:
	#if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
	for x in blastall megablast blastpgp bl2seq rpsblast fastacmd formatdb \
	         seedtop; do \
	    sed -e "s/.{.*}/$$x/" debian/legacy/legacy.sh > $(leg_bin)/$$x; \
	    chmod +x $(leg_bin)/$$x; \
	done

override_dh_clean:
	cp c++/src/util/lmdb/Makefile.orig c++/src/util/lmdb/Makefile.orig.save
	cp c++/src/util/lmdbxx/Makefile.orig c++/src/util/lmdbxx/Makefile.orig.save
	cp c++/src/util/lmdbxx/lmdb++.h.orig c++/src/util/lmdbxx/lmdb++.h.orig.save

	cp c++/configure.orig configure.orig.save
	dh_clean
	#Tricky - for each module directory there may be several module files
	#or there may be none but then there is still a module named after the
	#directory.  Clean everything!
	-for x in c++/src/objects/* ; do \
	    (cd "$$x"  && ( \
		mods="`echo *.module`" ; \
		[ "$${mods#*\*}" = "$$mods" ] || mods="`basename $$x`" ; \
		for mod in $$mods ; do \
	            ../../../BUILD$(NATIVE)/build/new_module.sh $$mod \
	                purge_sources ; \
		done ) ; \
	    ) ; \
	done
	rm -rf c++/compilers/dll c++/config.log c++/Makefile
	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
	rm -f c++/include/common/ncbi_revision.h
	find -name check_exec.pid -delete
	rm -rf c++/BUILD c++/BUILD.native fakehome
	mv configure.orig.save c++/configure.orig
	mv c++/src/util/lmdb/Makefile.orig.save c++/src/util/lmdb/Makefile.orig
	mv c++/src/util/lmdbxx/Makefile.orig.save c++/src/util/lmdbxx/Makefile.orig
	mv c++/src/util/lmdbxx/lmdb++.h.orig.save c++/src/util/lmdbxx/lmdb++.h.orig

%:
	dh $@ --sourcedirectory=c++
